Skip to main content
GET
/
api
/
mcp
/
tool
/
search
Search Tools
curl --request GET \
  --url https://analyst.heyhumm.ai/api/mcp/tool/search
{
  "organization_id": "<string>",
  "tools": [
    {
      "tool_name": "<string>",
      "tool_type": "<string>",
      "description": "<string>",
      "input_schema": {},
      "output_schema": {},
      "connector_type": "<string>",
      "data_source_id": "<string>",
      "source_name": "<string>"
    }
  ],
  "query": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Organization-Id
string | null

Query Parameters

query
string | null
org_id
string | null

Response

Successful Response

organization_id
string
required
tools
McpToolCatalogEntry · object[]
required
query
string | null